# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-10-27 06:44
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Areas',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('name_cn', models.CharField(max_length=50)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'areas',
            },
        ),
        migrations.CreateModel(
            name='Contacts',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('email', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=20)),
                ('content', models.CharField(max_length=2000)),
                ('status', models.IntegerField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'contacts',
            },
        ),
        migrations.CreateModel(
            name='CouponDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.IntegerField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'coupon_details',
            },
        ),
        migrations.CreateModel(
            name='Coupons',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(max_length=20)),
                ('title', models.CharField(max_length=200)),
                ('title_cn', models.CharField(max_length=200)),
                ('from_date', models.DateTimeField()),
                ('to_date', models.DateTimeField()),
                ('start_time', models.TimeField(blank=True, null=True)),
                ('end_time', models.TimeField(blank=True, null=True)),
                ('week_days', models.CharField(blank=True, max_length=50, null=True)),
                ('current_register', models.IntegerField()),
                ('quantity', models.IntegerField(default=1000000)),
                ('image_path', models.CharField(blank=True, max_length=500, null=True)),
                ('coupon_type', models.IntegerField()),
                ('comment', models.CharField(blank=True, max_length=500, null=True)),
                ('condition', models.CharField(blank=True, max_length=500, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': '6 - Coupons',
                'db_table': 'coupons',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CustomerCoupons',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('register_date', models.DateTimeField()),
                ('use_date', models.DateTimeField(blank=True, null=True)),
                ('status', models.IntegerField()),
                ('description', models.CharField(blank=True, max_length=500, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'customer_coupons',
            },
        ),
        migrations.CreateModel(
            name='CustomerFoods',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('use_date', models.DateTimeField()),
                ('quantity', models.IntegerField()),
                ('price', models.DecimalField(decimal_places=2, max_digits=19)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'customer_foods',
            },
        ),
        migrations.CreateModel(
            name='Customers',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_id', models.IntegerField()),
                ('name', models.CharField(max_length=50)),
                ('image_path', models.CharField(blank=True, max_length=500, null=True)),
                ('age', models.IntegerField()),
                ('zip_code', models.CharField(blank=True, max_length=10, null=True)),
                ('sex', models.IntegerField()),
                ('address', models.CharField(blank=True, max_length=200, null=True)),
                ('gps_data', models.CharField(blank=True, max_length=200, null=True)),
                ('email', models.CharField(max_length=50)),
                ('login_password', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=20)),
                ('is_mail_notify', models.IntegerField(default=1)),
                ('is_push_notify', models.IntegerField(default=1)),
                ('access_token', models.CharField(blank=True, max_length=60, null=True)),
                ('recover_password', models.CharField(blank=True, max_length=20, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': '1 - Customers',
                'db_table': 'customers',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CustomerVotes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rate', models.IntegerField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'customer_votes',
            },
        ),
        migrations.CreateModel(
            name='FoodCategories',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('name_cn', models.CharField(blank=True, max_length=50, null=True)),
                ('image_path', models.CharField(blank=True, max_length=500, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'food_categories',
            },
        ),
        migrations.CreateModel(
            name='FoodItems',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.CharField(blank=True, max_length=200, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'food_items',
            },
        ),
        migrations.CreateModel(
            name='FoodPrices',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('qr_code', models.CharField(blank=True, max_length=20, null=True)),
                ('price_date', models.DateTimeField()),
                ('price', models.DecimalField(decimal_places=2, max_digits=19)),
                ('comment', models.CharField(blank=True, max_length=200, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'food_prices',
            },
        ),
        migrations.CreateModel(
            name='Foods',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('name_cn', models.CharField(max_length=50)),
                ('price', models.DecimalField(decimal_places=2, max_digits=19)),
                ('description', models.CharField(blank=True, max_length=2000, null=True)),
                ('start_time', models.TimeField(blank=True, null=True)),
                ('end_time', models.TimeField(blank=True, null=True)),
                ('current_order', models.IntegerField(blank=True, default=0, null=True)),
                ('quantity_per_day', models.IntegerField(blank=True, null=True)),
                ('week_days', models.CharField(blank=True, max_length=50, null=True)),
                ('image_path', models.CharField(max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': '3 - Foods',
                'db_table': 'foods',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='FoodTypes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('name_cn', models.CharField(blank=True, max_length=50, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'food_types',
            },
        ),
        migrations.CreateModel(
            name='Items',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('restaurant_id', models.IntegerField()),
                ('name', models.CharField(max_length=50)),
                ('name_cn', models.CharField(blank=True, max_length=50, null=True)),
                ('image_path', models.CharField(blank=True, max_length=500, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': '4 - Items',
                'db_table': 'items',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Restaurants',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_id', models.IntegerField()),
                ('code', models.CharField(max_length=10)),
                ('name', models.CharField(max_length=100)),
                ('name_cn', models.CharField(blank=True, max_length=100, null=True)),
                ('image_path', models.CharField(max_length=500)),
                ('contact_person', models.CharField(blank=True, max_length=100, null=True)),
                ('email', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=20)),
                ('address', models.CharField(max_length=500)),
                ('address_cn', models.CharField(blank=True, max_length=500, null=True)),
                ('description', models.CharField(blank=True, max_length=2000, null=True)),
                ('google_map_url', models.CharField(blank=True, max_length=500, null=True)),
                ('login_password', models.CharField(blank=True, max_length=50, null=True)),
                ('email_notify', models.IntegerField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': '2 - Restaurants',
                'db_table': 'restaurants',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Stations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('station_cd', models.IntegerField()),
                ('name', models.CharField(max_length=200)),
                ('name_cn', models.CharField(blank=True, max_length=200, null=True)),
                ('line_cd', models.IntegerField(blank=True, null=True)),
                ('post', models.CharField(blank=True, max_length=20, null=True)),
                ('address', models.CharField(blank=True, max_length=500, null=True)),
                ('address_cn', models.CharField(blank=True, max_length=500, null=True)),
                ('lon', models.FloatField(blank=True, null=True)),
                ('lat', models.FloatField(blank=True, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'stations',
            },
        ),
        migrations.CreateModel(
            name='SupplierItems',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('from_date', models.DateTimeField(blank=True, null=True)),
                ('to_date', models.DateTimeField(blank=True, null=True)),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=19)),
                ('quantity_per_day', models.IntegerField(blank=True, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'supplier_items',
            },
        ),
        migrations.CreateModel(
            name='SupplierOrders',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_date', models.DateTimeField()),
                ('receive_date', models.DateTimeField(blank=True, null=True)),
                ('quantity', models.IntegerField()),
                ('status', models.IntegerField()),
                ('comment', models.CharField(blank=True, max_length=500, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'supplier_orders',
            },
        ),
        migrations.CreateModel(
            name='Suppliers',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_cn', models.CharField(blank=True, max_length=100, null=True)),
                ('address', models.CharField(max_length=500)),
                ('address_cn', models.CharField(blank=True, max_length=500, null=True)),
                ('postal_code', models.CharField(blank=True, max_length=20, null=True)),
                ('email', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=20)),
                ('fax', models.CharField(blank=True, max_length=20, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': '5 - Suppliers',
                'db_table': 'suppliers',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TopicCategories',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=20)),
                ('name', models.CharField(max_length=50)),
                ('name_cn', models.CharField(blank=True, max_length=50, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'topic_categories',
            },
        ),
        migrations.CreateModel(
            name='Topics',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subject', models.CharField(max_length=500)),
                ('subject_cn', models.CharField(max_length=500)),
                ('body', models.CharField(max_length=4000)),
                ('body_cn', models.CharField(max_length=4000)),
                ('image_path', models.CharField(blank=True, max_length=500, null=True)),
                ('link_address', models.CharField(blank=True, max_length=500, null=True)),
                ('open_date', models.DateTimeField()),
                ('close_date', models.DateTimeField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': '7 - Topics',
                'db_table': 'topics',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='VoteItems',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('name_cn', models.CharField(blank=True, max_length=200, null=True)),
                ('comment', models.CharField(blank=True, max_length=2000, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'vote_items',
            },
        ),
        migrations.CreateModel(
            name='VoteSessions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vote_date', models.DateTimeField()),
                ('comment', models.CharField(blank=True, max_length=2000, null=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('update_date', models.DateTimeField(auto_now=True)),
                ('update_by', models.CharField(blank=True, max_length=50, null=True)),
                ('is_delete', models.IntegerField(default=0)),
            ],
            options={
                'managed': False,
                'db_table': 'vote_sessions',
            },
        ),
    ]
